Page MenuHomePhabricator

Switch Amazon to use Mustache form, load custom JS and widgets
Closed, ResolvedPublic1 Story Points

Description

The new Amazon integration should use the Mustache form. It will have to load a different set of scripts, some from Amazon, and it will need a set of widgets instead of the standard payment fields. We can keep the name and email fields and eventually populate them from the donor's Amazon profile.

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : payWithAmazonSwitch Amazon to Mustache form, add modules

Event Timeline

Ejegg created this task.Aug 5 2015, 9:36 PM
Ejegg raised the priority of this task from to Needs Triage.
Ejegg updated the task description. (Show Details)
Ejegg added a project: Fundraising-Backlog.
Ejegg added subscribers: Ejegg, Aklapper.
Ejegg renamed this task from Make Mustache form flexible enough to load custom js & widgets to Switch Amazon to use Mustache form, load custom JS and widgets.Aug 11 2015, 1:53 AM
Ejegg updated the task description. (Show Details)
Ejegg set Security to None.
Ejegg edited a custom field.

Change 230724 had a related patch set uploaded (by Ejegg):
Switch Amazon to Mustache form, add modules

https://gerrit.wikimedia.org/r/230724

Ejegg claimed this task.Aug 11 2015, 8:08 PM
Ejegg moved this task from Backlog to Review on the Fundraising Sprint Queen board.
Ejegg edited a custom field.

Change 230724 merged by jenkins-bot:
Switch Amazon to Mustache form, add modules

https://gerrit.wikimedia.org/r/230724

Ejegg closed this task as Resolved.Aug 18 2015, 9:33 PM
Ejegg moved this task from Pending Deployment to Done on the Fundraising Sprint Queen board.